List projects
GET
/partners/projectsReturns a paginated list of projects.
Soft-deleted projects are excluded. Filter by customer, status, and name search.
HMAC signature + Bearer access token
Try this requestQuery parameters
pageintegeroptionalPage number for pagination. The first page is 1.
limitintegeroptionalRecords to return per page.
searchstringoptionalPartial, case-insensitive match on project name.
customerUuidsstringoptionalComma-separated customer UUIDs to filter by.
statusUuidsstringoptionalComma-separated project-status UUIDs to filter by.
Responses
200Paginated list of projects.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootGET
https://api.getcount.com/partners/projectsRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'GET';
const signingPath = '/projects';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/projects`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on fetching projects",
"data": {
"projects": [
{
"id": "11223344-5566-7788-99aa-bbccddeeff00",
"name": "Website Redesign",
"description": "Redesign the marketing website for Acme Corporation.",
"customId": "PRJ-2026-001",
"startDate": "2026-02-01",
"endDate": "2026-06-30",
"customer": {
"uuid": "dfa3219e-6af8-4c53-997a-037534f63a35",
"customer": "Acme Corporation"
},
"projectStatus": {
"uuid": "aabbccdd-eeff-4012-8000-001122334455",
"name": "In Progress",
"color": "#E48642"
},
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
],
"page": 1,
"limit": 20,
"totalRecords": 1,
"totalPages": 1
}
}